Bug 2023881 (CVE-2021-42374) - CVE-2021-42374 busybox: out-of-bounds read in unlzma applet leads to information leak and denial of service when crafted LZMA-compressed input is decompressed
Summary: CVE-2021-42374 busybox: out-of-bounds read in unlzma applet leads to informat...
Keywords:
Status: NEW
Alias: CVE-2021-42374
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2023882
Blocks: 2023944
TreeView+ depends on / blocked
 
Reported: 2021-11-16 18:12 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-11-26 15:50 UTC (History)
6 users (show)

Fixed In Version: BusyBox 1.34.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in BusyBox. It did not properly sanitize while crafted LZMA compressed input was decompressing, leading to a denial of service. The highest threat from this vulnerability is to confidentiality and system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-11-16 18:12:08 UTC
An out-of-bounds heap read in unlzma leads to information leak and denial of service when crafted LZMA-compressed input is decompressed. This can be triggered by any applet/format that internally supports LZMA compression.

Reference:
https://jfrog.com/blog/unboxing-busybox-14-new-vulnerabilities-uncovered-by-claroty-and-jfrog/

Comment 1 Guilherme de Almeida Suckevicz 2021-11-16 18:12:26 UTC
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 2023882]


Note You need to log in before you can comment on or make changes to this bug.